get-bounding-box

Esta subrotina é útil nos casos quem que você precisa das coordenadas do retângulo que circunscreve uma determinada entidade... pra dar um "zoom" nela por exemplo... vejam como eu usei o método boundingbox do activex:
(defun get-bounding-box  (ent / maxp minp)
  (
setq ent (vlax-ename->vla-object (ename-of ent)))
  (
if
    (vl-catch-all-error-p
      (vl-catch-all-apply 'vla-GetBoundingBox
        (list ent 'minp 'maxp)))
    (
list (setq minp
                 (3d-of-vla
                   (vla-get-insertionpoint ent)))
          minp)
     (
list (vlax-safearray->list minp)
           (
vlax-safearray->list maxp))))

para usar: (get-bounding-box ent), onde ent é a ename, handle ou vla-object da entidade

LinkWithin

Related Posts Plugin for WordPress, Blogger...